package VDR::Interface;

use strict;
use warnings;
use base qw[ VDR ];

sub new
{
	my $self = shift;
	my $ref = ref($self) || $self;

	my $this = $ref->SUPER::new;

	return $this;
}

sub message
{
	my $this = shift;
	$this->send_msg('I', 'Message', $_[0]);
}

sub readkey
{
	my $this = shift;
	$this->send_msg('I', 'ReadKey', $_[0] || 0);
	return $this->recv_msg('i');
}

"this value intentionally left true";
